El build 2405 no funciona en Linux
Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Application
Target version: 2.3.0-2406 (rev. org.gvsig.desktop-2.0.109)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2405 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Tras actualizar en el workspace y compilar, al arrancar gvSIG, lanza el siguiente error:

/bin/bash^M: interprete erróneo: No existe el archivo o el directorio

y no arranca.

También falla la instalación del build, supongo que por el mismo motivo.

Associated revisions
Revision 42417 - 10/26/2015 10:58 AM - Joaquín  del Cerro Murciano

refs #3824, sustituidos los fin de linea de windows por lo de unix.

History
#1 - 10/26/2015 11:00 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

En el gvSIG.sh el fin de linea se quedo el de windows (CR+LF) cuando deberia estar el de Unix (LF). Se ha cambiado el formato de fin de linea.
Para hacerlo simplemente lo he cargado con el vi (vim) y he puesto ":set ff=unix" y he guardado el fichero.

#2 - 10/26/2015 12:05 PM - Joaquín  del Cerro Murciano
- Severity changed from Minor to Blocker
- Priority changed from Normal to Immediate

#3 - 10/26/2015 05:36 PM - Álvaro Anguix
- Status changed from Fixed to Closed

05/17/2024 1/1


